Bug 313849 - Crash on clicking in BQM "Workflow" tab
Summary: Crash on clicking in BQM "Workflow" tab
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: BatchQueueManager-Workflow (show other bugs)
Version: 3.0.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 20:49 UTC by Matthias Welwarsky
Modified: 2022-01-02 16:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Welwarsky 2013-01-24 20:49:20 UTC
Application: digikam (3.0.0)
KDE Platform Version: 4.8.5 (4.8.5) "release 522"
Qt Version: 4.8.4
Operating System: Linux 3.1.10-1.16-desktop x86_64
Distribution: "openSUSE 12.1 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I double-clicked into the Workflow tab in the BQM. It immediately crashes digikam

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f3cb07767e0 (LWP 6220))]

Thread 13 (Thread 0x7f3c90e29700 (LWP 6221)):
#0  0x00007f3ca917de6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3ca9411d4b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00000000005e3428 in Digikam::ScanController::run (this=0xdf2630) at /home/matze/projects/digikam-sc/core/digikam/database/scancontroller.cpp:698
#3  0x00007f3ca94117dc in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f3c8bfff700 (LWP 6222)):
#0  0x00007f3ca917d11a in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f3ca0cc0b64 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f3ca0cc197d in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3ca0cc1fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f3ca9540a36 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f3ca9510252 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f3ca95104a7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00007f3ca940e777 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#8  0x00007f3ca94efcff in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f3ca94117dc in ?? () from /usr/lib64/libQtCore.so.4
#10 0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f3c8b7fe700 (LWP 6733)):
#0  0x00007f3ca917de6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3ca9411d4b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3cad482c21 in Digikam::ParkingThread::run (this=0xfac220) at /home/matze/projects/digikam-sc/core/libs/threads/threadmanager.cpp:119
#3  0x00007f3ca94117dc in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f3c726d8700 (LWP 11710)):
#0  0x00007f3ca917e1eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3ca9411caf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3ca940501f in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007f3ca94117dc in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f3be6745700 (LWP 11711)):
#0  0x00007f3ca785ab36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f3ca785969e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f3be5f44700 (LWP 11712)):
#0  0x00007f3ca785ab36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f3ca785969e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f3be6f46700 (LWP 11713)):
#0  0x00007f3ca785ab36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f3ca785969e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f3c88ea1700 (LWP 11717)):
#0  0x00007f3ca917e1eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3ca9411caf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3ca940501f in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007f3ca94117dc in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f3c76f00700 (LWP 11718)):
#0  0x00007f3ca917e1eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3ca9411caf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3ca940501f in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007f3ca94117dc in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f3c766ff700 (LWP 11719)):
#0  0x00007f3ca785ab36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f3ca785969e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f3c75efe700 (LWP 11720)):
#0  0x00007f3ca785ab36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f3ca785969e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f3c756fd700 (LWP 11721)):
#0  0x00007f3ca785ab36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f3ca785969e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f3ca9179f05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3ca738610d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f3cb07767e0 (LWP 6220)):
[KCrash Handler]
#6  0x00007f3ca7d71a03 in __dynamic_cast () from /usr/lib64/libstdc++.so.6
#7  0x000000000071954d in Digikam::WorkflowList::slotAssignQueueSettings (this=0x3e25dd0) at /home/matze/projects/digikam-sc/core/utilities/queuemanager/views/workflowlist.cpp:295
#8  0x00007f3ca8447ad6 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#9  0x00007f3ca8804486 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007f3ca8918beb in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#11 0x00007f3ca895f995 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#12 0x00007f3ca95118a8 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#13 0x00007f3ca83f71af in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#14 0x00007f3ca83fc883 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007f3ca9f9e156 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#16 0x00007f3ca951171c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#17 0x00007f3ca83f81b2 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#18 0x00007f3ca8474135 in ?? () from /usr/lib64/libQtGui.so.4
#19 0x00007f3ca8472ffa in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007f3ca849ae32 in ?? () from /usr/lib64/libQtGui.so.4
#21 0x00007f3ca0cc15dd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#22 0x00007f3ca0cc1dd8 in ?? () from /usr/lib64/libglib-2.0.so.0
#23 0x00007f3ca0cc1fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#24 0x00007f3ca95409cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#25 0x00007f3ca849aabe in ?? () from /usr/lib64/libQtGui.so.4
#26 0x00007f3ca9510252 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#27 0x00007f3ca95104a7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#28 0x00007f3ca95152c5 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#29 0x0000000000497d23 in main (argc=1, argv=<optimized out>) at /home/matze/projects/digikam-sc/core/digikam/main/main.cpp:234

Reported using DrKonqi
Comment 1 caulier.gilles 2013-01-25 08:21:17 UTC
Git commit 768cf7add5b75fccef13a46ad93ae1499760c2df by Gilles Caulier.
Committed on 25/01/2013 at 09:19.
Pushed by cgilles into branch 'master'.

check if list is empty before to try to get first item. This must prevent internal Qt crash

M  +82   -65   utilities/queuemanager/views/workflowlist.cpp
M  +1    -1    utilities/queuemanager/views/workflowlist.h

http://commits.kde.org/digikam/768cf7add5b75fccef13a46ad93ae1499760c2df